Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.model
Class CampaignModelDocument

    java.lang.Object
      com.bea.p13n.model.DefaultDocumentModel
          com.bea.campaign.model.CampaignModelDocument

All Implemented Interfaces
  DocumentModel, Serializable

    public class CampaignModelDocument

extends DefaultDocumentModel

A default model document for CampaignModels. This also provides common methods for parsing and writing campaign xml in the preferred manner.

See Also
  Serialized Form

Field Summary
`static String` | `schemaLocation` The xsi:schemaLocation value for campaign documents.
`static Map<String,String>` | `suggestedPrefixes` The unmodifiable map of namespace uri to preferred prefix for campaign xml.

Constructor Summary
`CampaignModelDocument(CampaignModel cam)` Constructor from CampaignModel.
`CampaignModelDocument(InputStream in)` Constructor from an input stream.
`CampaignModelDocument(Reader in)` Constructor from an input reader.
`CampaignModelDocument(String in)` Constructor from xml.

Method Summary
`static org.apache.xmlbeans.XmlOptions` | `getSaveOptions()` Get default XmlOptions for saving/outputting campaign xml.
`static CampaignModel` | `parseCampaignModel(InputStream xml, Collection errors)` Parse a campaign model from an input stream
`static CampaignModel` | `parseCampaignModel(Reader xml, Collection errors)` Parse a campaign model from a reader.
`static CampaignModel` | `parseCampaignModel(String xml, Collection errors)` Parse a campaign model from xml.
`static com.bea.campaign.schema.CampaignDocument` | `prepareForSave(CampaignModel cam, String encoding, org.apache.xmlbeans.XmlOptions opts)` Prepare a CampaignDocument xml object from the CampaignModel.
`static InputStream` | `toInputStream(CampaignModel cam)` Get an input stream of the specified CampaignModel's xml.
`static InputStream` | `toInputStream(CampaignModel cam, String encoding)` Get an input stream of the specified CampaignModel's xml.
`static Reader` | `toReader(CampaignModel cam)` Get a reader of the specified CampaignModel's xml.
`static Reader` | `toReader(CampaignModel cam, String encoding)` Get a reader of the specified CampaignModel's xml.
`static String` | `toString(CampaignModel cam)` Get the specified CampaignModel's xml.
`static String` | `toString(CampaignModel cam, String encoding)` Get the specified CampaignModel's xml.

Methods inherited from class com.bea.p13n.model.DefaultDocumentModel
`addChangeListener, getRootModel, modelChildAdded, modelChildRemoved, modelPropertyChanged, removeChangeListener, setRootModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suggestedPrefixes

    public static final Map<String,String> suggestedPrefixes

  The unmodifiable map of namespace uri to preferred prefix for campaign xml.

### schemaLocation

    public static final String schemaLocation

  The xsi:schemaLocation value for campaign documents.

  See Also
    Constants Summary

Constructor Detail

### CampaignModelDocument

    public CampaignModelDocument(CampaignModel cam)

  Constructor from CampaignModel.

### CampaignModelDocument

    public CampaignModelDocument(Reader in)
                          throws org.apache.xmlbeans.XmlException,
                                 IllegalArgumentException,
                                 IOException

  Constructor from an input reader.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for CampaignModel.
    `IOException` - on an error reading from the stream.

### CampaignModelDocument

    public CampaignModelDocument(InputStream in)
                          throws org.apache.xmlbeans.XmlException,
                                 IllegalArgumentException,
                                 IOException

  Constructor from an input stream.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for CampaignModel.
    `IOException` - on an error reading from the stream.

### CampaignModelDocument

    public CampaignModelDocument(String in)
                          throws org.apache.xmlbeans.XmlException,
                                 IllegalArgumentException

  Constructor from xml.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for CampaignModel.

Method Detail

### parseCampaignModel

    public static CampaignModel parseCampaignModel(String xml,
                                                   Collection errors)
                                            throws org.apache.xmlbeans.XmlException,
                                                   IllegalArgumentException

  Parse a campaign model from xml.

  Parameters
    `xml` - the xml string.
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the CampaignModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for CampaignModel.

### parseCampaignModel

    public static CampaignModel parseCampaignModel(Reader xml,
                                                   Collection errors)
                                            throws org.apache.xmlbeans.XmlException,
                                                   IllegalArgumentException,
                                                   IOException

  Parse a campaign model from a reader.

  Parameters
    `xml` - the xml reader
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the CampaignModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception.
    `IllegalArgumentException` - if the xml is not valid for CampaignModel.
    `IOException` - on an error reading from the stream.

### parseCampaignModel

    public static CampaignModel parseCampaignModel(InputStream xml,
                                                   Collection errors)
                                            throws org.apache.xmlbeans.XmlException,
                                                   IllegalArgumentException,
                                                   IOException

  Parse a campaign model from an input stream

  Parameters
    `xml` - the xml input stream.
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the CampaignModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception.
    `IllegalArgumentException` - if the xml is not valid for CampaignModel.
    `IOException` - on an error reading from the stream.

### getSaveOptions

    public static org.apache.xmlbeans.XmlOptions getSaveOptions()

  Get default XmlOptions for saving/outputting campaign xml.

  See Also
    `suggestedPrefixes`

### prepareForSave

    public static com.bea.campaign.schema.CampaignDocument prepareForSave(CampaignModel cam,
                                                                          String encoding,
                                                                          org.apache.xmlbeans.XmlOptions opts)

  Prepare a CampaignDocument xml object from the CampaignModel. This will save the encoding on the xml object and in the XmlOptions. The returned CampaignDocument and modified XmlOptions can then be used to generate the xml.

  Parameters
    `cam` - the campaign model.
    `encoding` - the encoding to use, null for default.
    `opts` - the opts to modify appropriately.

### toInputStream

    public static InputStream toInputStream(CampaignModel cam)

  Get an input stream of the specified CampaignModel's xml.

### toInputStream

    public static InputStream toInputStream(CampaignModel cam,
                                            String encoding)

  Get an input stream of the specified CampaignModel's xml.

### toReader

    public static Reader toReader(CampaignModel cam)

  Get a reader of the specified CampaignModel's xml.

### toReader

    public static Reader toReader(CampaignModel cam,
                                  String encoding)

  Get a reader of the specified CampaignModel's xml.

  Parameters
    `cam` - the campaign model.
    `encoding` - the character encoding to use, null for the model's default encoding.

### toString

    public static String toString(CampaignModel cam)

  Get the specified CampaignModel's xml.

### toString

    public static String toString(CampaignModel cam,
                                  String encoding)

  Get the specified CampaignModel's xml.

  Parameters
    `cam` - the campaign model.
    `encoding` - the character encoding to use, null for the model's default encoding.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.